KeywordRepeatFilterFactory (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.miscellaneous, class: KeywordRepeatFilterFactory

Package org.apache.lucene.analysis.miscellaneous

# Class KeywordRepeatFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.miscellaneous.KeywordRepeatFilterFactory

public final class KeywordRepeatFilterFactory extends TokenFilterFactory
Factory for `KeywordRepeatFilter`.

Since `KeywordRepeatFilter` emits two tokens for every input token, and any tokens that aren't transformed later in the analysis chain will be in the document twice. Therefore, consider adding `RemoveDuplicatesTokenFilterFactory` later in the analysis chain.

Since:
  4.3.0
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "keywordRepeat"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeywordRepeatFilterFactory()`
  Default ctor for compatibility with SPI
  `KeywordRepeatFilterFactory(Map<String,String> args)`
  Creates a new KeywordRepeatFilterFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TokenStream`
  `create(TokenStream input)`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

  `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KeywordRepeatFilterFactory

    public KeywordRepeatFilterFactory(Map<String,String> args)
    Creates a new KeywordRepeatFilterFactory

  - ### KeywordRepeatFilterFactory

    public KeywordRepeatFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public TokenStream create(TokenStream input)
    Specified by:
      `create` in class `TokenFilterFactory`